Developers
V1PlatformModerationSuspensions

Social suspensions

GET
/v1/platform/moderation/suspensions
AuthorizationBearer <token>

In: header

Query Parameters

state?string
Default"active"

Value in

  • "active"
  • "all"
cursor?string
Match^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$
Formatuuid
limit?integer
Range1 <= value <= 50
Default25

Response Body

application/json

application/json

application/json

application/json

application/json

application/json

application/json

application/json

application/json

curl -X GET "https://example.com/v1/platform/moderation/suspensions"
{  "items": [    {      "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",      "userId": "2c4a230c-5085-4924-a3e1-25fb4fc5965b",      "alias": "string",      "startsAt": "2019-08-24T14:15:22Z",      "until": "2019-08-24T14:15:22Z",      "reason": "string",      "state": "active",      "liftedAt": "2019-08-24T14:15:22Z",      "by": "string"    }  ],  "nextCursor": "53a4a333-2825-45a4-80d2-5f430d088f36"}